FileDestroyable (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util.component

## Class FileDestroyable

- java.lang.Object
- - org.eclipse.jetty.util.component.FileDestroyable

- All Implemented Interfaces:
    Destroyable

      public class FileDestroyable
      extends Object
      implements Destroyable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDestroyable()`
    `FileDestroyable(File file)`
    `FileDestroyable(String file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(File file)`
    `void` | `addFile(String file)`
    `void` | `addFiles(Collection<File> files)`
    `void` | `destroy()`
    `void` | `removeFile(File file)`
    `void` | `removeFile(String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDestroyable

          public FileDestroyable()

    - #### FileDestroyable

          public FileDestroyable(String file)
                          throws IOException

      Throws:
        `IOException`

    - #### FileDestroyable

          public FileDestroyable(File file)

  - ### Method Detail

    - #### addFile

          public void addFile(String file)
                       throws IOException

      Throws:
        `IOException`

    - #### addFile

          public void addFile(File file)

    - #### addFiles

          public void addFiles(Collection<File> files)

    - #### removeFile

          public void removeFile(String file)
                          throws IOException

      Throws:
        `IOException`

    - #### removeFile

          public void removeFile(File file)

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `Destroyable`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.